
<div class="columns">
  <div class="column is-12">
      <h1 class="notification is-info">Add Comments</h1>
    <div *ngIf="infoMsg" class="notification is-success">{{ infoMsg }}</div>
    <div *ngIf="errorMsg" class="is-danger notification">{{ errorMsg }}</div>
    <form>
      <div class="field column is-12">
        <label class="label">Task Title : </label>
        <div class="control column is-12">
          <input
            class="input"
            type="text"
            placeholder="Task title"
            name="title"
            [(ngModel)]="comment.taskTitle"
          />
        </div>
        <label class="label column is-4  display-inline">Assigned To : </label>
        <label class="label column is-4  display-inline">Due Date : </label>
        <label class="label column is-4  display-inline">Repeats? : </label>
        <div class="control column is-4 display-inline">
            <input
              class="input"
              type="text"
              placeholder="Assigned To"
              name="assignedTo"
              [(ngModel)]="assignedTo"
            />
        </div>
        
        <div class="control column is-4 display-inline">
            <input
              class="input"
              type="date"
              placeholder="Due Date"
              name="dueDate"
              [(ngModel)]="dueDate"
            />
        </div>
        
        <div class="control column is-4 display-inline">
            <input
              class="input"
              type="text"
              placeholder="Does not repear"
              name="repeat"
              [(ngModel)]="repeat"
            />
        </div>
      </div>

      <div><label>Comment: </label></div>
      <div>
          <ejs-richtexteditor id='defaultRTE'
           [(value)]='value' [toolbarSettings]='too1s'
            [quickToolbarSettings]='quickTools'
            name="commentBody"
            [(ngModel)]="comment.commentBody"
            (ngModelChange)="updateTextAreaComment()"></ejs-richtexteditor>
      </div>
    </form>
  </div>

  <div class="is-7"></div>
</div>

<button (click)="postComment()" class="button is-info"*ngIf="!isEditing" [disabled]="isSending">
  Send
</button>
<button (click)="updateComment(comment);resetComment()" class="button is-info" *ngIf="isEditing"  [disabled]="isSending">
  Save
</button>
&nbsp;&nbsp;
<button (click)="isEditing=false;resetComment()" class="button is-danger" *ngIf="isEditing" >
    Cancel
  </button>
<div style="margin: 10px;"></div>
<app-comment [taskid]="comment.taskid" [userid] ="comment.userid"  (ceditComment)="comment=$event;isEditing = true;" (deleteMessage)="deleteMessage($event)"></app-comment>
